%global lua_pkg_name lpeg

%global lua_compat_version 5.1
%global lua_compat_libdir %{_libdir}/lua/%{lua_compat_version}
%global lua_compat_pkgdir %{_datadir}/lua/%{lua_compat_version}

Name:           lua%{lua_compat_version}-%{lua_pkg_name}
Version:        1.0.2
Release:        1%{?dist}
Summary:        Parsing Expression Grammars for Lua %{lua_compat_version}

License:        MIT
URL:            http://www.inf.puc-rio.br/~roberto/%{lua_pkg_name}/
Source0:        http://www.inf.puc-rio.br/~roberto/%{lua_pkg_name}/%{lua_pkg_name}-%{version}.tar.gz
Patch1:         0001-inject-ldflags.patch

BuildRequires:  gcc
BuildRequires:  compat-lua
BuildRequires:  compat-lua-devel
Requires:       lua(abi) = %{lua_compat_version}

%description
LPeg is a new pattern-matching library for Lua %{lua_compat_version},
based on Parsing Expression Grammars (PEGs).

%prep
%autosetup -n %{lua_pkg_name}-%{version}

%build
make %{?_smp_mflags} COPT="-I%{_includedir}/lua-%{lua_compat_version} %{optflags}" LDFLAGS="-L%{lua_compat_libdir} %{build_ldflags}"

%install
mkdir -p %{buildroot}%{lua_compat_libdir}
install -p lpeg.so %{buildroot}%{lua_compat_libdir}/lpeg.so.%{version}
ln -s lpeg.so.%{version} %{buildroot}%{lua_compat_libdir}/lpeg.so

mkdir -p %{buildroot}%{lua_compat_pkgdir}
install -p -m 0644 re.lua %{buildroot}%{lua_compat_pkgdir}

%check
lua-%{lua_compat_version} test.lua

%files
%doc HISTORY lpeg.html re.html lpeg-128.gif test.lua
%{lua_compat_libdir}/lpeg.so*
%{lua_compat_pkgdir}/re.lua

%changelog
* Thu Oct 24 2019 Tomas Krizek <tomas.krizek@nic.cz> - 1.0.2-1
- New package lua5.1-lpeg for EPEL8
